# Interface PosixFileAttributes

All Superinterfaces:
  `BasicFileAttributes`

public interface PosixFileAttributes extends BasicFileAttributes
File attributes associated with files on file systems used by operating systems that implement the Portable Operating System Interface (POSIX) family of standards.

The POSIX attributes of a file are retrieved using a `PosixFileAttributeView` by invoking its `readAttributes` method.

Since:
  1.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroupPrincipal`
  `group()`
  Returns the group owner of the file.
  `UserPrincipal`
  `owner()`
  Returns the owner of the file.
  `Set<PosixFilePermission>`
  `permissions()`
  Returns the permissions of the file.

  ### Methods declared in interface BasicFileAttributes

  `creationTime, fileKey, isDirectory, isOther, isRegularFile, isSymbolicLink, lastAccessTime, lastModifiedTime, size`

- ## Method Details

  - ### owner

    UserPrincipal owner()
    Returns the owner of the file.
    Returns:
      the file owner
    See Also:
      - `FileOwnerAttributeView.setOwner(UserPrincipal)`

  - ### group

    GroupPrincipal group()
    Returns the group owner of the file.
    Returns:
      the file group owner
    See Also:
      - `PosixFileAttributeView.setGroup(GroupPrincipal)`

  - ### permissions

    Set<PosixFilePermission> permissions()
    Returns the permissions of the file. The file permissions are returned as a set of `PosixFilePermission` elements. The returned set is a copy of the file permissions and is modifiable. This allows the result to be modified and passed to the `setPermissions` method to update the file's permissions.
    Returns:
      the file permissions
    See Also:
      - `PosixFileAttributeView.setPermissions(Set)`